/*
 * Copyright 2015 Facebook, Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef GLOG_LOGGING_H_
#define GLOG_LOGGING_H_
#include <iostream>
#include <string>


#define DCHECK(a) std::clog
#define CHECK(a) std::clog
#define LOG(a) std::clog

#define CHECK_EQ(val1, val2) std::clog
#define CHECK_NE(val1, val2) std::clog
#define CHECK_LE(val1, val2) std::clog 
#define CHECK_LT(val1, val2) std::clog
#define CHECK_GE(val1, val2) std::clog 
#define CHECK_GT(val1, val2) std::clog
#define CHECK_NOTNULL(a) a
#define CHECK_ERR(a)
#define VLOG(a) std::clog
#define LOG_FIRST_N(a, b) std::clog
#define VLOG_IF(a,b) std::clog
#define PLOG(a) std::clog
#define PCHECK(a) std::clog

#define VLOG_IS_ON(a) false

#define DCHECK_EQ(val1, val2) std::clog
#define DCHECK_NE(val1, val2) std::clog
#define DCHECK_LE(val1, val2) std::clog
#define DCHECK_LT(val1, val2) std::clog
#define DCHECK_GE(val1, val2) std::clog
#define DCHECK_GT(val1, val2) std::clog
#define DCHECK_NOTNULL(val) std::clog
#define DCHECK_STREQ(str1, str2) std::clog
#define DCHECK_STRCASEEQ(str1, str2) std::clog
#define DCHECK_STRNE(str1, str2) std::clog
#define DCHECK_STRCASENE(str1, str2) std::clog

// gflags


#define DEFINE_int32(name, val, txt) long FLAGS_##name = val

#define DEFINE_int64(name, val, txt) long long FLAGS_##name = val

#define DEFINE_uint64(name,val, txt) unsigned long long FLAGS_##name = val

#define DEFINE_double(name, val, txt) double FLAGS_##name = val

#define DEFINE_string(name, val, txt) std::string FLAGS_##name = val


#endif
